Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 606264 (CVE-2017-5525) - <app-emulation/qemu-2.8.0-r1: memory leakage in es1370/ac97 device (CVE-2017-5525)
Summary: <app-emulation/qemu-2.8.0-r1: memory leakage in es1370/ac97 device (CVE-2017-...
Status: RESOLVED FIXED
Alias: CVE-2017-5525
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa cve]
Keywords:
: CVE-2017-5526 (view as bug list)
Depends on: CVE-2017-5931
Blocks:
  Show dependency tree
 
Reported: 2017-01-18 12:02 UTC by Agostino Sarubbo
Modified: 2017-05-18 10:37 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-01-18 12:02:44 UTC
From https://bugzilla.redhat.com/show_bug.cgi?id=1414108:

Quick Emulator(Qemu) built with the ac97 audio device emulation support is
vulnerable to a memory leakage issue. It could occur while doing a device
unplug operation; Doing so repeatedly would result in leaking host memory,
affecting other services on the host.

A privileged user inside guest could use this flaw to cause a DoS and/or
potentially crash the Qemu process on the host.

Upstream patch:
---------------
  -> https://lists.nongnu.org/archive/html/qemu-devel/2017-01/msg01740.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/01/17/19


From https://bugzilla.redhat.com/show_bug.cgi?id=1414209:

Quick Emulator(Qemu) built with the ES1370 audio device emulation support is
vulnerable to a memory leakage issue. It could occur while doing a device
unplug operation; Doing so repeatedly would result in leaking host memory,
affecting other services on the host.

A privileged user inside guest could use this flaw to cause a DoS and/or
potentially crash the Qemu process on the host.

Upstream patch:
---------------
  -> https://lists.nongnu.org/archive/html/qemu-devel/2017-01/msg01742.html


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-02-16 18:28:31 UTC
Added to an existing GLSA request.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2017-02-21 00:19:52 UTC
This issue was resolved and addressed in
 GLSA 201702-28 at https://security.gentoo.org/glsa/201702-28
by GLSA coordinator Thomas Deutschmann (whissi).
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2017-02-21 00:22:54 UTC
This issue was resolved and addressed in
 GLSA 201702-28 at https://security.gentoo.org/glsa/201702-28
by GLSA coordinator Thomas Deutschmann (whissi).
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2017-02-21 00:25:47 UTC
This issue was resolved and addressed in
 GLSA 201702-28 at https://security.gentoo.org/glsa/201702-28
by GLSA coordinator Thomas Deutschmann (whissi).
Comment 6 Agostino Sarubbo gentoo-dev 2017-05-18 10:37:43 UTC
*** Bug 618812 has been marked as a duplicate of this bug. ***